import Image from "next/image";

interface GameProps {
  name: string;
  img: string;
  url: string;
  alt: string;
}

export const Game = (props: GameProps): JSX.Element => {
  const { name, img, url, alt } = props;

  return (
    <div className="w-[300px] h-[300px] border-2 border-solid border-[--foreground] m-auto text-center items-center">
      <a
        href={url}
        target="_blank"
        rel="noopener noreferrer"
        className="text-xl underline"
      >
        <p>{name}</p>
      </a>
      <a
        href={`https://cdn.nhcarrigan.com/games/${img}`}
        target="_blank"
        rel="noreferrer"
      >
        <Image
          src={`https://cdn.nhcarrigan.com/games/${img}`}
          alt={alt}
          width={250}
          height={250}
          className="m-auto object-contain  max-h-[250px] max-w-[250px]"
        />
      </a>
    </div>
  );
};
